(***********************************************************************)
(*                                                                     *)
(*                                Sklml                                *)
(*                                                                     *)
(*                 The OCaml parallel skeleton system                  *)
(*                                                                     *)
(*                  projet Estime, INRIA-Rocquencourt                  *)
(*                                                                     *)
(*  Copyright 2007-2011 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Quentin Carbonneaux <Quentin.Carbonneaux@inria.fr>                 *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: config.ml,v 1.7.2.1 2011-09-21 13:08:04 fclement Exp $ *)

let mk_option name default =
  let value = ref None in
  (fun () -> match !value with None -> default | Some o -> o),
  (fun o ->
    match !value with
    | None -> value := Some o
    | Some _ -> failwith ("Option " ^ name ^ " already set"))
;;

let (get_conf_file, set_conf_file) = mk_option "conf" None;;
let (get_timeout, set_timeout) = mk_option "timeout" 10;;
let (get_slave_port, set_slave_port) = mk_option "slave_port" 4010;;
let (get_skl_port, set_skl_port) = mk_option "skl_port" 4000;;
let (get_err_length, set_err_length) = mk_option "err_length" 100;;
let (get_warn_error, set_warn_error) = mk_option "warn_error" false;;
